// LightMeter.sc:
// Access the ambient light sensors of a MacBook Pro.
//
// Returns a 2-value array containing readings from the left
// and right sensors, located somewhere beneath the speaker
// grilles.
//
// Daniel Jones, September 2007
// http://www.erase.net/

LightMeter : MultiOutUGen {
	*kr {
		^this.multiNew('control');
	}

	init { arg ... theInputs;
		inputs = theInputs;
		^this.initOutputs(2, rate);
	}
}
