SynthDef(\lmu_test, {
	var data;
	
	// light is an array containing readings for the left and right sensors,
	// with integer values ranging from approximately 0..2000.
	
	var light = LightMeter.kr; // [ left, right ]
	var light_freq = Lag.kr(LinExp.kr(light, 0, 2000, 40, 5000), 0.1);

	data = SinOsc.ar(light_freq) * 0.3;
	data = data + CombN.ar(data, 0.1, 0.1, 2.0, 0.2);
	
	Out.ar(0, Pan2.ar(data));
}).store;


Synth(\lmu_test);